Copyright: DnoteXmlComps   © Pcl HaGé B.V.. Help file last compiled   Monday, June 17, 2002 09:08:00.


DnoteXmlComps - Overview
DnoteXmlComps

Units

Classes

Other Types

Routines


DnoteXmlComps - Units
Units

DnXml
DnXmlComponentChooserForm
DnXmlDictionaryEditorForm
DnXmlEditors
DnXmlListMapper
DnXmlPropMapper
DnXmlRegister


DnoteXmlComps - Classes
Classes

TDnXmlClassResolver
TDnXmlDictionary
TDnXmlDictionaryEditor
TDnXmlListMapper
TDnXmlPropMapper
TDnXmlReader
TDnXmlReaderEditor
TDnXmlRttiPropMapper
TDnXmlTComponentMapper
TDnXmlTListMapper
TDnXmlWriter
TDnXmlWriterEditor
TfmDnXmlComponentChooser
TfmDnXmlDictionaryEditor


DnoteXmlComps - Types
Types

IFormDesigner
IXmlNodeType
TClearListMode
TDnXmlClassResolverClass
TDnXmlListMapperClass
TDnXmlPropMapperClass
TGetClassEvent
TGetIdEvent
TGetObjectEvent
TMarkEvent
TSetObjPropMode


DnoteXmlComps - Routines
Routines

GetListMapper
GetXmlPropMapper
GetXmlPropMapperCount
Register
Register
RegisterClassResolver
RegisterListMapper
RegisterPropMapper
UnregisterClassResolver
UnregisterListMapper
UnregisterPropMapper
UnregisterPropMapperForClass


Legend

 - Marks that the item has an associated example. (this bitmap is a hyperlink.)

 - Marks that the item has documented bugs.


DnXml Unit Overview
DnXml Unit
Legend

Library
DnoteXmlComps

Classes
TDnXmlClassResolver

Provides a baseclass for classes that are able to resolve classes for the xml reader.

 TDnXmlDictionary

Use the TDnXmlDictionary class to connect component trees which are loaded and saved by (different) xml- readers and writers.

 TDnXmlReader

As TDnXmlWriter but converts xml to components.

 TDnXmlWriter

The TDnXmlWriter class is able to convert an object tree to an xml representation.

Other Types
IXmlNodeType
TClearListMode
TDnXmlClassResolverClass
TGetClassEvent
TGetIdEvent
TGetObjectEvent
TMarkEvent
TSetObjPropMode

Routines
RegisterClassResolver

Use this routine to register your custom class which is able to resolve classtypes by their name as found in the ClassName tags in the xml file.

 UnregisterClassResolver

Use this routine to unregister the class registered using the RegisterClassResolver routine.


TDnXmlClassResolver
TDnXmlClassResolver Object
Hierarchy   Methods

Provides a baseclass for classes that are able to resolve classes for the xml reader.

Library
DnoteXmlComps

Unit
DnXml

Declaration
TDnXmlClassResolver = class(TObject)

Description
If not used the classes registered using RegisterClass and RegisterClasses routines are used, and/of the TDnXmlReader.OnGetclass event. The order in which these class retrieval mechanisms are invoked is:

 1.	Registered TDnXmlClassResolver subclass

 2.	OnGetClass event if provided

 3.	Delphi's GetClass, classes which were registered using the RegisterClass(es) routines.


Methods for TDnXmlClassResolver
TDnXmlClassResolver Methods

Methods

 In TDnXmlClassResolver
 GetClass


TDnXmlClassResolver.GetClass
GetClass method

Override this method and provide your class resolving mechanism.

Applies to
TDnXmlClassResolver

Declaration
function GetClass(aClassName: string): TClass;

Description
If you cannot succeed, return nil.


TDnXmlDictionary
TDnXmlDictionary Object
Hierarchy   Properties   Methods

Use the TDnXmlDictionary class to connect component trees which are loaded and saved by (different) xml- readers and writers.

Library
DnoteXmlComps

Unit
DnXml

Declaration
TDnXmlDictionary = class(TComponent)

Description
Simply drop it on your form and connect the reader(s) and writer(s) to it. You can also create it runtime, using the Create method.


Properties for TDnXmlDictionary
TDnXmlDictionary Properties

Properties   Methods

 In TDnXmlDictionary
Count
Ids
Objects


Methods for TDnXmlDictionary
TDnXmlDictionary Methods

Properties   Methods

 In TDnXmlDictionary
 Add
 Clear
 Create
 Destroy
 GetNewId
 IdOfObject
 Notification
 ObjectOfId


TDnXmlDictionary.Count
Count property

Number of objects in the dictionary.

Applies to
TDnXmlDictionary

Declaration
property Count: Integer read GetCount;


TDnXmlDictionary.Ids
Ids property

Retrieve an id by it's index.

Applies to
TDnXmlDictionary

Declaration
property Ids[aIndex:Integer]: string read GetIds;

Description
0 >= aIndex < Count.


TDnXmlDictionary.Objects
Objects property

Retrieve an object by it's index.

Applies to
TDnXmlDictionary

Declaration
property Objects[aIndex:Integer]: TObject read GetObjects;

Description
0 >= aIndex < Count.


TDnXmlDictionary.Add
Add method

Adds an object to the dictionary.

Applies to
TDnXmlDictionary

Declaration
procedure Add(aObject: TComponent; aId: string);

Description
Usually only used by the reader and writer. If the ID already exists, its associated component is replace by the new aObject value.


TDnXmlDictionary.Clear
Clear method

Clears the whole dictionary.

Applies to
TDnXmlDictionary

Declaration
procedure Clear;


TDnXmlDictionary.Create
Create method

Constructor, in order to create the object at runtime (aOwner maybe nil).

Applies to
TDnXmlDictionary

Declaration
procedure Create(aOwner: TComponent);


TDnXmlDictionary.Destroy
Destroy method

Plain old destructor.

Applies to
TDnXmlDictionary

Declaration
procedure Destroy;


TDnXmlDictionary.GetCount
GetCount method

Applies to
TDnXmlDictionary

Declaration
function GetCount: Integer;


TDnXmlDictionary.GetIds
GetIds method

Applies to
TDnXmlDictionary

Declaration
function GetIds(aIndex: Integer): string;


TDnXmlDictionary.GetNewId
GetNewId method

The dictionary is able to generate new id, based on the contents of the dictionary.

Applies to
TDnXmlDictionary

Declaration
function GetNewId: string;

Description
The new id is the next integer value of the highest known integer id (non-integer id's are ignored).


TDnXmlDictionary.GetObjects
GetObjects method

Applies to
TDnXmlDictionary

Declaration
function GetObjects(aIndex: Integer): TObject;


TDnXmlDictionary.IdOfObject
IdOfObject method

Returns the internal id of the object aObject.

Applies to
TDnXmlDictionary

Declaration
function IdOfObject(aObject: TObject): string;


TDnXmlDictionary.Notification
Notification method

Plain old notification.

Applies to
TDnXmlDictionary

Declaration
procedure Notification(aComponent: TComponent; aOperation: TOperation);

Description
Do not call this externally.


TDnXmlDictionary.ObjectOfId
ObjectOfId method

Returns the object that belongs to the id aId.

Applies to
TDnXmlDictionary

Declaration
function ObjectOfId(aId: string): TObject;


TDnXmlReader
TDnXmlReader Object
Hierarchy   Properties   Methods   Events

As TDnXmlWriter but converts xml to components.

Library
DnoteXmlComps

Unit
DnXml

Declaration
TDnXmlReader = class(TComponent)

Description
See TDnXmlWriter for important usage information.

Warning: The reader clears the lists before reading it from xml. Be sure the contained objects are freed if the list is the only one referencing to them (list is called the owner in that case). You achieve this by using a TObjectList instead of a TList object for instance. The ClearListMode property can be used (with caution) to make the reader free the list objects as well. Note that in that case the objects are only freed if they are children of the list/listowner or all objects regardless of their owner. This means that you mix references to sibling objects in the same class. To have this kind of flexability, create your own list class, which implements a Clear method with more intelligence.

Same goes for object properties. The reader sets objects properties for objects readed from xml. Be sure that the reader cannot write to properties which contain the only reference to an object else that object would be "dangling" causing memory leaks. This can be achieved by providing a setter method which frees the referenced object, or simply by making owned object properties readonly by ommiting a write specifier from the property definition. Alternatively, the SetObjPropMode to control how the child-object- properties are set.


Properties for TDnXmlReader
TDnXmlReader Properties

Properties   Methods   Events

 In TDnXmlReader
ClearListMode
Dictionary
ExceptOnMissingProps
ReadNameProperty
ReadTagProperty
SetObjPropMode


Methods for TDnXmlReader
TDnXmlReader Methods

Properties   Methods   Events

 In TDnXmlReader
 Create
 Destroy
 DoGetClass
 FromXmlAssign
 FromXmlCreate
 FromXmlFileAssign
 FromXmlFileCreate
 IdOfObject
 Notification


Events for TDnXmlReader
TDnXmlReader Events

Properties   Methods   Events

 In TDnXmlReader
 OnExternalRef
 OnGetClass


TDnXmlReader.ClearListMode
ClearListMode property

Use this property to setup the way lists are cleared while reading them from xml.

Applies to
TDnXmlReader

Declaration
property ClearListMode: TClearListMode read FClearListMode write FClearListMode default clmClear;


TDnXmlReader.Dictionary
Dictionary property

Use this property to specify which dictionary to use for storing id's of objects that were read.

Applies to
TDnXmlReader

Declaration
property Dictionary: TDnXmlDictionary read FDictionary write SetDictionary;

Description
This is useful if you want to preserve the id's when writing to xml later (to do that assign the same dictionary to TDnXmlWriter.Dictionary before writing with it). The dictionary is also used to retrieve external objects that need be resolved during the load of the object tree.


TDnXmlReader.ExceptOnMissingProps
ExceptOnMissingProps property

Set this property to false if you want the reader to accept missing properties in the xml.

Applies to
TDnXmlReader

Declaration
property ExceptOnMissingProps: Boolean read FExceptOnMissingProps write FExceptOnMissingProps default True;


TDnXmlReader.ReadNameProperty
ReadNameProperty property

Whether to load the TComponent.Name property.

Applies to
TDnXmlReader

Declaration
property ReadNameProperty: Boolean read FReadNameProperty write FReadNameProperty default True;

Description
Counterpart of TDnXmlWriter.StoreNameProperty.


TDnXmlReader.ReadTagProperty
ReadTagProperty property

Whether to load the TComponent.Tag property.

Applies to
TDnXmlReader

Declaration
property ReadTagProperty: Boolean read FReadTagProperty write FReadTagProperty default True;

Description
Counterpart of TDnXmlWriter.StoreTagProperty.


TDnXmlReader.SetObjPropMode
SetObjPropMode property

Use this property to setup the way object properties are set while reading them from xml.

Applies to
TDnXmlReader

Declaration
property SetObjPropMode: TSetObjPropMode read FSetObjPropMode write FSetObjPropMode default sopmSet;


TDnXmlReader.ActiveDictionary
ActiveDictionary method

Applies to
TDnXmlReader

Declaration
function ActiveDictionary: TDnXmlDictionary;


TDnXmlReader.AddListTodo
AddListTodo method

Applies to
TDnXmlReader

Declaration
procedure AddListTodo(aRefId: string; aObject: TObject; aMapperClass: TDnXmlListMapperClass; aIndex: Integer);


TDnXmlReader.AddTodo
AddTodo method

Applies to
TDnXmlReader

Declaration
procedure AddTodo(aRefId: string; aObject: TObject; aMapperClass: TDnXmlPropMapperClass; aPropIndex: Integer);


TDnXmlReader.Create
Create method

Constructor, in order to create the object at runtime (aOwner maybe nil).

Applies to
TDnXmlReader

Declaration
procedure Create(aOwner: TComponent);


TDnXmlReader.Destroy
Destroy method

Plain old destructor.

Applies to
TDnXmlReader

Declaration
procedure Destroy;


TDnXmlReader.DoGetClass
DoGetClass method

Applies to
TDnXmlReader

Declaration
function DoGetClass(const aClass: string): TClass;


TDnXmlReader.FixTodos
FixTodos method

Applies to
TDnXmlReader

Declaration
procedure FixTodos;


TDnXmlReader.FromXmlAssign
FromXmlAssign method

Assign the xml in aXml to aObject.

Applies to
TDnXmlReader

Declaration
procedure FromXmlAssign(aXml: string; aObject: TComponent);


TDnXmlReader.FromXmlAssignImp
FromXmlAssignImp method

Applies to
TDnXmlReader

Declaration
procedure FromXmlAssignImp(aObject: TComponent; aNode: IXmlNodeType; aOwner: TComponent = nil);


TDnXmlReader.FromXmlCreate
FromXmlCreate method

Converts an xml string into a new object.

Applies to
TDnXmlReader

Declaration
function FromXmlCreate(aOwner: TComponent; aXml: string): TComponent;


TDnXmlReader.FromXmlCreateImp
FromXmlCreateImp method

Applies to
TDnXmlReader

Declaration
function FromXmlCreateImp(aOwner: TComponent; aNode: IXmlNodeType): TComponent;


TDnXmlReader.FromXmlFileAssign
FromXmlFileAssign method

Assigns the xml in aXmlFile to aObject.

Applies to
TDnXmlReader

Declaration
procedure FromXmlFileAssign(aXmlFile: string; aObject: TComponent);


TDnXmlReader.FromXmlFileCreate
FromXmlFileCreate method

Converts an xml file into a new object.

Applies to
TDnXmlReader

Declaration
function FromXmlFileCreate(aOwner: TComponent; aXmlFile: string): TComponent;


TDnXmlReader.IdOfObject
IdOfObject method

Returns the id of a loaded object.

Applies to
TDnXmlReader

Declaration
function IdOfObject(aObject: TComponent): string;

Description
Returns empty string if the object was not loaded by the reader. If a Dictionary is connected using the Dictionary property, you can use the IdOfObject of the dictionary (TDnXmlDictionary.IdOfObject) to retrieve the id.


TDnXmlReader.MarkRead
MarkRead method

Applies to
TDnXmlReader

Declaration
procedure MarkRead(aObject: TComponent; aId: string);


TDnXmlReader.Notification
Notification method

Plain old TComponent.Notification.

Applies to
TDnXmlReader

Declaration
procedure Notification(aComponent: TComponent; aOperation: TOperation);


TDnXmlReader.SetDictionary
SetDictionary method

Applies to
TDnXmlReader

Declaration
procedure SetDictionary(const Value: TDnXmlDictionary);


TDnXmlReader.XmlToListItems
XmlToListItems method

Applies to
TDnXmlReader

Declaration
procedure XmlToListItems(aObject: TObject; aNode: IXmlNodeType; aOwner: TComponent);


TDnXmlReader.OnExternalRef
OnExternalRef Event

Use the OnExternalRef event to resolve objects that are defined outside of the xml.

Applies to
TDnXmlReader

Declaration
TGetObjectEvent = function(aID: string) : TObject of object;

Description
If this object was read through another xml reader, you can also use an external dictionary (see Dictionary property).


TDnXmlReader.OnGetClass
OnGetClass Event

If you're not using the delphi-vcl method of registering classes (RegisterClass and RegisterClasses routines), then provide your own class resolving mechanism here.

Applies to
TDnXmlReader

Declaration
TGetClassEvent = function(aClassName: string) : TClass of object;

Description
If you do not supply this code unregistered objects cause the readed to raise an exception.


TDnXmlWriter
TDnXmlWriter Object
Hierarchy   Properties   Methods   Events

The TDnXmlWriter class is able to convert an object tree to an xml representation.

Library
DnoteXmlComps

Unit
DnXml

Declaration
TDnXmlWriter = class(TComponent)

Description
Only TComponent objects are written to xml, except for list objects which don't have to be TComponent's (like TList and such).


Properties for TDnXmlWriter
TDnXmlWriter Properties

Properties   Methods   Events

 In TDnXmlWriter
Dictionary
PropKinds
StoreNameProperty
StoreReadOnlyProps
StoreTagProperty
TopNodeName


Methods for TDnXmlWriter
TDnXmlWriter Methods

Properties   Methods   Events

 In TDnXmlWriter
 Create
 Destroy
 Notification
 ToXml
 ToXmlFile


Events for TDnXmlWriter
TDnXmlWriter Events

Properties   Methods   Events

 In TDnXmlWriter
 OnExternalRef
 OnGetNewId


TDnXmlWriter.Dictionary
Dictionary property

Use this property to specify which dictionary to use for attaching id to objects written.

Applies to
TDnXmlWriter

Declaration
property Dictionary: TDnXmlDictionary read FDictionary write SetDictionary;

Description
This is usefull if you want to preserve the id's of objects between saving and loading.


TDnXmlWriter.PropKinds
PropKinds property

Use this property to setup which kind of properties are written and which aren't.

Applies to
TDnXmlWriter

Declaration
property PropKinds: TTypeKinds read FPropKinds write FPropKinds default tkProperties;

Description
Property types which are not in the list aren't written to xml.


TDnXmlWriter.StoreNameProperty
StoreNameProperty property

Whether to store the TComponent.Name property.

Applies to
TDnXmlWriter

Declaration
property StoreNameProperty: Boolean read FStoreNameProperty write FStoreNameProperty default True;


TDnXmlWriter.StoreReadOnlyProps
StoreReadOnlyProps property

Whether to store read-only properties too.

Applies to
TDnXmlWriter

Declaration
property StoreReadOnlyProps: Boolean read FStoreReadOnlyProps write FStoreReadOnlyProps default False;

Description
Remember read-only properties can be written but not read by TDnXmlReader.


TDnXmlWriter.StoreTagProperty
StoreTagProperty property

Whether to store the TComponent.Tag property.

Applies to
TDnXmlWriter

Declaration
property StoreTagProperty: Boolean read FStoreTagProperty write FStoreTagProperty default True;


TDnXmlWriter.TopNodeName
TopNodeName property

Identifier to use for the top element of the resulting xml.

Applies to
TDnXmlWriter

Declaration
property TopNodeName: string read FTopNodeName write FTopNodeName;

Description
Defaults to 'topobj'.


TDnXmlWriter.ActiveDictionary
ActiveDictionary method

Applies to
TDnXmlWriter

Declaration
function ActiveDictionary: TDnXmlDictionary;


TDnXmlWriter.AddTodo
AddTodo method

Applies to
TDnXmlWriter

Declaration
procedure AddTodo(aNode: IXmlNodeType; aObject: TObject);


TDnXmlWriter.ComponentToXmlImp
ComponentToXmlImp method

Applies to
TDnXmlWriter

Declaration
procedure ComponentToXmlImp(aObject: TComponent; aNode: IXmlNodeType; aOwner: TComponent);


TDnXmlWriter.Create
Create method

Plain old constructor.

Applies to
TDnXmlWriter

Declaration
procedure Create(aOwner: TComponent);


TDnXmlWriter.Destroy
Destroy method

Plain old destructor.

Applies to
TDnXmlWriter

Declaration
procedure Destroy;


TDnXmlWriter.FixTodos
FixTodos method

Applies to
TDnXmlWriter

Declaration
procedure FixTodos;


TDnXmlWriter.GetId
GetId method

Applies to
TDnXmlWriter

Declaration
function GetId(aObject: TObject): string;


TDnXmlWriter.ListItemsToXml
ListItemsToXml method

Applies to
TDnXmlWriter

Declaration
procedure ListItemsToXml(aObject: TObject; aNode: IXmlNodeType; aOwner: TComponent);


TDnXmlWriter.MarkWritten
MarkWritten method

Applies to
TDnXmlWriter

Declaration
procedure MarkWritten(aObject: TComponent; aId: string);


TDnXmlWriter.Notification
Notification method

Plain old TComponent.Notification.

Applies to
TDnXmlWriter

Declaration
procedure Notification(aComponent: TComponent; aOperation: TOperation);


TDnXmlWriter.SetDictionary
SetDictionary method

Applies to
TDnXmlWriter

Declaration
procedure SetDictionary(const Value: TDnXmlDictionary);


TDnXmlWriter.SetRef
SetRef method

Applies to
TDnXmlWriter

Declaration
procedure SetRef(aNode: IXmlNodeType; aObject: TObject);


TDnXmlWriter.ToXml
ToXml method

Converts the object aObject into an xml string.

Applies to
TDnXmlWriter

Declaration
function ToXml(aObject: TComponent): string;


TDnXmlWriter.ToXmlFile
ToXmlFile method

Converts the objectt aObject into xml and saves that to aXmlFile.

Applies to
TDnXmlWriter

Declaration
procedure ToXmlFile(aXmlFile: string; aObject: TComponent);


TDnXmlWriter.OnExternalRef
OnExternalRef Event

This event gets called for each object that is outside of the root object tree that is being written.

Applies to
TDnXmlWriter

Declaration
TGetIdEvent = function(aObject: TObject) : string of object;


TDnXmlWriter.OnGetNewId
OnGetNewId Event

This event is called whenever a object is written of which the id is not yet defined.

Applies to
TDnXmlWriter

Declaration
TGetIdEvent = function(aObject: TObject) : string of object;

Description
If not supplied, the id generation is handled by the dictionary, see TDnXmlDictionary.GetNewId for details.


RegisterClassResolver
RegisterClassResolver procedure

Use this routine to register your custom class which is able to resolve classtypes by their name as found in the ClassName tags in the xml file.

Library
DnoteXmlComps

Unit
DnXml

Declaration
procedure RegisterClassResolver(aResolver: TDnXmlClassResolverClass);


UnregisterClassResolver
UnregisterClassResolver procedure

Use this routine to unregister the class registered using the RegisterClassResolver routine.

Library
DnoteXmlComps

Unit
DnXml

Declaration
procedure UnregisterClassResolver(aResolver: TDnXmlClassResolverClass);


IXmlNodeType
IXmlNodeType type

Library
DnoteXmlComps

Unit
DnXml

Declaration
IXmlNodeType = IXmlDomNode;


TClearListMode
TClearListMode type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TClearListMode = (clmClear, clmFreeChildrenAndClear, clmFreeAllAndClear, clmFreeChildren, clmFreeAll);


TDnXmlClassResolverClass
TDnXmlClassResolverClass type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TDnXmlClassResolverClass = class of TDnXmlClassResolver;


TGetClassEvent
TGetClassEvent type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TGetClassEvent = function(aClassName: string): TClass of object;


TGetIdEvent
TGetIdEvent type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TGetIdEvent = function(aObject: TObject): string of object;


TGetObjectEvent
TGetObjectEvent type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TGetObjectEvent = function(aID: string): TObject of object;


TMarkEvent
TMarkEvent type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TMarkEvent = procedure(aObject: TObject; aId: string) of object;


TSetObjPropMode
TSetObjPropMode type

Library
DnoteXmlComps

Unit
DnXml

Declaration
TSetObjPropMode = (sopmSet, sopmFreeAndSet, sopmTryAssignElseSet, sopmTryAssignElseFreeAndSet);


Hierarchy

TObject
     |
TDnXmlClassResolver

Subclasses
None


Hierarchy

TComponent
     |
TDnXmlDictionary

Subclasses
None


Hierarchy

TComponent
     |
TDnXmlReader

Subclasses
None


Hierarchy

TComponent
     |
TDnXmlWriter

Subclasses
None


DnXmlListMapper Unit Overview
DnXmlListMapper Unit
Legend

Library
DnoteXmlComps

Classes
TDnXmlListMapper
TDnXmlTComponentMapper

Makes child objects persistent.

 TDnXmlTListMapper

Other Types
TDnXmlListMapperClass

Routines
GetListMapper
RegisterListMapper
UnregisterListMapper


TDnXmlListMapper
TDnXmlListMapper Object
Hierarchy   Properties   Methods

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
TDnXmlListMapper = class(TObject)


Properties for TDnXmlListMapper
TDnXmlListMapper Properties

Properties   Methods

 In TDnXmlListMapper
Count
IsRef
ObjectItem
OwnerObject
StoresObjects
StringItem
TheObject


Methods for TDnXmlListMapper
TDnXmlListMapper Methods

Properties   Methods

 In TDnXmlListMapper
 Add
 Clear
 CreateWithObject
 GetCount
 GetIsRef
 GetObjectItem
 GetStoresObjects
 GetStringItem
 SetObjectItem


TDnXmlListMapper.Count
Count property

Applies to
TDnXmlListMapper

Declaration
property Count: Integer read GetCount;


TDnXmlListMapper.IsRef
IsRef property

Applies to
TDnXmlListMapper

Declaration
property IsRef[aIndex:Integer]: Boolean read GetIsRef;


TDnXmlListMapper.ObjectItem
ObjectItem property

Applies to
TDnXmlListMapper

Declaration
property ObjectItem[aIndex:Integer]: TObject read GetObjectItem write SetObjectItem;


TDnXmlListMapper.OwnerObject
OwnerObject property

Applies to
TDnXmlListMapper

Declaration
property OwnerObject: TObject read FOwnerObject;


TDnXmlListMapper.StoresObjects
StoresObjects property

Applies to
TDnXmlListMapper

Declaration
property StoresObjects: Boolean read GetStoresObjects;


TDnXmlListMapper.StringItem
StringItem property

Applies to
TDnXmlListMapper

Declaration
property StringItem[aIndex:Integer]: string read GetStringItem;


TDnXmlListMapper.TheObject
TheObject property

Applies to
TDnXmlListMapper

Declaration
property TheObject: TObject read FObject;


TDnXmlListMapper.Add
Add method

Applies to
TDnXmlListMapper

Overloaded Variants

•	procedure Add(aItem: TObject);

•	procedure Add(aItem: string);

Declaration
procedure Add(aItem: TObject);

Declaration
procedure Add(aItem: string);


TDnXmlListMapper.Clear
Clear method

Applies to
TDnXmlListMapper

Declaration
procedure Clear;


TDnXmlListMapper.CreateWithObject
CreateWithObject method

Always use this constructor instead of the standard one! It takes the object of which the list items are needed.

Applies to
TDnXmlListMapper

Declaration
procedure CreateWithObject(aObject: TObject; aOwner: TObject = nil);


TDnXmlListMapper.GetCount
GetCount method

Applies to
TDnXmlListMapper

Declaration
function GetCount: Integer;


TDnXmlListMapper.GetIsRef
GetIsRef method

Applies to
TDnXmlListMapper

Declaration
function GetIsRef(aIndex: Integer): Boolean;


TDnXmlListMapper.GetObjectItem
GetObjectItem method

Applies to
TDnXmlListMapper

Declaration
function GetObjectItem(aIndex: Integer): TObject;


TDnXmlListMapper.GetStoresObjects
GetStoresObjects method

Applies to
TDnXmlListMapper

Declaration
function GetStoresObjects: Boolean;


TDnXmlListMapper.GetStringItem
GetStringItem method

Applies to
TDnXmlListMapper

Declaration
function GetStringItem(aIndex: Integer): string;


TDnXmlListMapper.SetObjectItem
SetObjectItem method

Applies to
TDnXmlListMapper

Declaration
procedure SetObjectItem(aIndex: Integer; Value: TObject);


TDnXmlTComponentMapper
TDnXmlTComponentMapper Object
Hierarchy   Properties   Methods

Makes child objects persistent.

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
TDnXmlTComponentMapper = class(TDnXmlListMapper)


Properties for TDnXmlTComponentMapper
TDnXmlTComponentMapper Properties

Properties   Methods

Derived from TDnXmlListMapper
Count
IsRef
ObjectItem
OwnerObject
StoresObjects
StringItem
TheObject


Methods for TDnXmlTComponentMapper
TDnXmlTComponentMapper Methods

Properties   Methods

 In TDnXmlTComponentMapper
 Add
 Clear
 CreateWithObject
 GetCount
 GetIsRef
 GetObjectItem
 GetStoresObjects
 SetObjectItem

Derived from TDnXmlListMapper
 Add
 Clear
 CreateWithObject
 GetCount
 GetIsRef
 GetObjectItem
 GetStoresObjects
 GetStringItem
 SetObjectItem


TDnXmlTComponentMapper.Add
Add method

Applies to
TDnXmlTComponentMapper

Overloaded Variants

•	procedure Add(aItem: TObject);

•	procedure Add(aItem: string);

Declaration
procedure Add(aItem: TObject);

Declaration
procedure Add(aItem: string);


TDnXmlTComponentMapper.Clear
Clear method

Applies to
TDnXmlTComponentMapper

Declaration
procedure Clear;


TDnXmlTComponentMapper.CreateWithObject
CreateWithObject method

Applies to
TDnXmlTComponentMapper

Declaration
procedure CreateWithObject(aObject: TObject; aOwner: TObject = nil);


TDnXmlTComponentMapper.GetCount
GetCount method

Applies to
TDnXmlTComponentMapper

Declaration
function GetCount: Integer;


TDnXmlTComponentMapper.GetIsRef
GetIsRef method

Applies to
TDnXmlTComponentMapper

Declaration
function GetIsRef(aIndex: Integer): Boolean;


TDnXmlTComponentMapper.GetObjectItem
GetObjectItem method

Applies to
TDnXmlTComponentMapper

Declaration
function GetObjectItem(aIndex: Integer): TObject;


TDnXmlTComponentMapper.GetStoresObjects
GetStoresObjects method

Applies to
TDnXmlTComponentMapper

Declaration
function GetStoresObjects: Boolean;


TDnXmlTComponentMapper.SetObjectItem
SetObjectItem method

Applies to
TDnXmlTComponentMapper

Declaration
procedure SetObjectItem(aIndex: Integer; Value: TObject);


TDnXmlTListMapper
TDnXmlTListMapper Object
Hierarchy   Properties   Methods

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
TDnXmlTListMapper = class(TDnXmlListMapper)


Properties for TDnXmlTListMapper
TDnXmlTListMapper Properties

Properties   Methods

Derived from TDnXmlListMapper
Count
IsRef
ObjectItem
OwnerObject
StoresObjects
StringItem
TheObject


Methods for TDnXmlTListMapper
TDnXmlTListMapper Methods

Properties   Methods

 In TDnXmlTListMapper
 Add
 Clear
 CreateWithObject
 GetCount
 GetIsRef
 GetObjectItem
 GetStoresObjects
 SetObjectItem

Derived from TDnXmlListMapper
 Add
 Clear
 CreateWithObject
 GetCount
 GetIsRef
 GetObjectItem
 GetStoresObjects
 GetStringItem
 SetObjectItem


TDnXmlTListMapper.Add
Add method

Applies to
TDnXmlTListMapper

Overloaded Variants

•	procedure Add(aItem: TObject);

•	procedure Add(aItem: string);

Declaration
procedure Add(aItem: TObject);

Declaration
procedure Add(aItem: string);


TDnXmlTListMapper.Clear
Clear method

Applies to
TDnXmlTListMapper

Declaration
procedure Clear;


TDnXmlTListMapper.CreateWithObject
CreateWithObject method

Applies to
TDnXmlTListMapper

Declaration
procedure CreateWithObject(aObject: TObject; aOwner: TObject = nil);


TDnXmlTListMapper.GetCount
GetCount method

Applies to
TDnXmlTListMapper

Declaration
function GetCount: Integer;


TDnXmlTListMapper.GetIsRef
GetIsRef method

Applies to
TDnXmlTListMapper

Declaration
function GetIsRef(aIndex: Integer): Boolean;


TDnXmlTListMapper.GetObjectItem
GetObjectItem method

Applies to
TDnXmlTListMapper

Declaration
function GetObjectItem(aIndex: Integer): TObject;


TDnXmlTListMapper.GetStoresObjects
GetStoresObjects method

Applies to
TDnXmlTListMapper

Declaration
function GetStoresObjects: Boolean;


TDnXmlTListMapper.SetObjectItem
SetObjectItem method

Applies to
TDnXmlTListMapper

Declaration
procedure SetObjectItem(aIndex: Integer; Value: TObject);


GetListMapper
GetListMapper function

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
function GetListMapper(aClass: TClass): TDnXmlListMapperClass;


RegisterListMapper
RegisterListMapper procedure

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
procedure RegisterListMapper(aClass: TClass; aMapper: TDnXmlListMapperClass);


UnregisterListMapper
UnregisterListMapper procedure

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
procedure UnregisterListMapper(aClass: TClass);


TDnXmlListMapperClass
TDnXmlListMapperClass type

Library
DnoteXmlComps

Unit
DnXmlListMapper

Declaration
TDnXmlListMapperClass = class of TDnXmlListMapper;


Hierarchy

TObject
     |
TDnXmlListMapper

Direct subclasses
TDnXmlTComponentMapper
TDnXmlTListMapper


Hierarchy

TObject
     |
TDnXmlListMapper
     |
TDnXmlTComponentMapper

Subclasses
None


Hierarchy

TObject
     |
TDnXmlListMapper
     |
TDnXmlTListMapper

Subclasses
None


DnXmlPropMapper Unit Overview
DnXmlPropMapper Unit
Legend

Library
DnoteXmlComps

Classes
TDnXmlPropMapper

Baseclass to derive your custom property mapper from.

 TDnXmlRttiPropMapper

Other Types
TDnXmlPropMapperClass

Routines
GetXmlPropMapper

Returns the property mapper associated with a certain class.

 GetXmlPropMapperCount

Returns the number of property mappers associated with a certain class.

 RegisterPropMapper

Registers (associates) a property mapper to a certain component class.

 UnregisterPropMapper

Unregisters the propmapper (registered using the RegisterPropMapper routine) for all classes it was associated with.

 UnregisterPropMapperForClass

Unregisters the propmapper (registered using the RegisterPropMapper routine) for a specific class.


TDnXmlPropMapper
TDnXmlPropMapper Object
Hierarchy   Properties   Methods

Baseclass to derive your custom property mapper from.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
TDnXmlPropMapper = class(TObject)

Description
Object properties must be sorted so the readonly properties come first.


Properties for TDnXmlPropMapper
TDnXmlPropMapper Properties

Properties   Methods

 In TDnXmlPropMapper
Count
IsAssignableObject
IsObject
IsRef
IsStored
ObjectProp
PropName
StoreReadOnlyProps
TheObject
Value


Methods for TDnXmlPropMapper
TDnXmlPropMapper Methods

Properties   Methods

 In TDnXmlPropMapper
 CreateWithObject
 GetCount
 GetIsAssignableObject
 GetIsObject
 GetIsRef
 GetIsStored
 GetObjectProp
 GetPropName
 GetValue
 SetObjectProp
 SetValue


TDnXmlPropMapper.Count
Count property

Applies to
TDnXmlPropMapper

Declaration
property Count: Integer read GetCount;


TDnXmlPropMapper.IsAssignableObject
IsAssignableObject property

Applies to
TDnXmlPropMapper

Declaration
property IsAssignableObject[aIndex:Integer]: Boolean read GetIsAssignableObject;


TDnXmlPropMapper.IsObject
IsObject property

Applies to
TDnXmlPropMapper

Declaration
property IsObject[aIndex:Integer]: Boolean read GetIsObject;


TDnXmlPropMapper.IsRef
IsRef property

Applies to
TDnXmlPropMapper

Declaration
property IsRef[aIndex:Integer]: Boolean read GetIsRef;


TDnXmlPropMapper.IsStored
IsStored property

Applies to
TDnXmlPropMapper

Declaration
property IsStored[aIndex:Integer]: Boolean read GetIsStored;


TDnXmlPropMapper.ObjectProp
ObjectProp property

Applies to
TDnXmlPropMapper

Declaration
property ObjectProp[aIndex:Integer]: TObject read GetObjectProp write SetObjectProp;


TDnXmlPropMapper.PropName
PropName property

Applies to
TDnXmlPropMapper

Declaration
property PropName[aIndex:Integer]: string read GetPropName;


TDnXmlPropMapper.StoreReadOnlyProps
StoreReadOnlyProps property

Applies to
TDnXmlPropMapper

Declaration
property StoreReadOnlyProps: Boolean read FStoreReadOnlyProps write FStoreReadOnlyProps;


TDnXmlPropMapper.TheObject
TheObject property

Applies to
TDnXmlPropMapper

Declaration
property TheObject: TObject read FObject;


TDnXmlPropMapper.Value
Value property

Applies to
TDnXmlPropMapper

Declaration
property Value[aIndex:Integer]: string read GetValue write SetValue;


TDnXmlPropMapper.CreateWithObject
CreateWithObject method

Always use this constructor instead of the standard one! It takes the object of which the properties are needed.

Applies to
TDnXmlPropMapper

Declaration
procedure CreateWithObject(aObject: TObject);


TDnXmlPropMapper.GetCount
GetCount method

Applies to
TDnXmlPropMapper

Declaration
function GetCount: Integer;


TDnXmlPropMapper.GetIsAssignableObject
GetIsAssignableObject method

Applies to
TDnXmlPropMapper

Declaration
function GetIsAssignableObject(aIndex: Integer): Boolean;


TDnXmlPropMapper.GetIsObject
GetIsObject method

Applies to
TDnXmlPropMapper

Declaration
function GetIsObject(aIndex: Integer): Boolean;


TDnXmlPropMapper.GetIsRef
GetIsRef method

Applies to
TDnXmlPropMapper

Declaration
function GetIsRef(aIndex: Integer): Boolean;


TDnXmlPropMapper.GetIsStored
GetIsStored method

Applies to
TDnXmlPropMapper

Declaration
function GetIsStored(aIndex: Integer): Boolean;


TDnXmlPropMapper.GetObjectProp
GetObjectProp method

Applies to
TDnXmlPropMapper

Declaration
function GetObjectProp(aIndex: Integer): TObject;


TDnXmlPropMapper.GetPropName
GetPropName method

Applies to
TDnXmlPropMapper

Declaration
function GetPropName(aIndex: Integer): string;


TDnXmlPropMapper.GetValue
GetValue method

Applies to
TDnXmlPropMapper

Declaration
function GetValue(aIndex: Integer): string;


TDnXmlPropMapper.SetObjectProp
SetObjectProp method

Applies to
TDnXmlPropMapper

Declaration
procedure SetObjectProp(aIndex: Integer; const Value: TObject);


TDnXmlPropMapper.SetValue
SetValue method

Applies to
TDnXmlPropMapper

Declaration
procedure SetValue(aIndex: Integer; const Value: string);


TDnXmlRttiPropMapper
TDnXmlRttiPropMapper Object
Hierarchy   Properties   Methods

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
TDnXmlRttiPropMapper = class(TDnXmlPropMapper)


Properties for TDnXmlRttiPropMapper
TDnXmlRttiPropMapper Properties

Properties   Methods

 In TDnXmlRttiPropMapper
PropKinds

Derived from TDnXmlPropMapper
Count
IsAssignableObject
IsObject
IsRef
IsStored
ObjectProp
PropName
StoreReadOnlyProps
TheObject
Value


Methods for TDnXmlRttiPropMapper
TDnXmlRttiPropMapper Methods

Properties   Methods

 In TDnXmlRttiPropMapper
 CreateWithObject
 Destroy
 GetCount
 GetIsAssignableObject
 GetIsObject
 GetIsRef
 GetIsStored
 GetObjectProp
 GetPropName
 GetValue
 SetObjectProp
 SetValue

Derived from TDnXmlPropMapper
 CreateWithObject
 GetCount
 GetIsAssignableObject
 GetIsObject
 GetIsRef
 GetIsStored
 GetObjectProp
 GetPropName
 GetValue
 SetObjectProp
 SetValue


TDnXmlRttiPropMapper.PropKinds
PropKinds property

Which kind of properties to map.

Applies to
TDnXmlRttiPropMapper

Declaration
property PropKinds: TTypeKinds read FPropKinds write SetPropKinds default tkProperties;

Description
Kind not in the list will not be mapped.


TDnXmlRttiPropMapper.CreateWithObject
CreateWithObject method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure CreateWithObject(aObject: TObject);


TDnXmlRttiPropMapper.Destroy
Destroy method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure Destroy;


TDnXmlRttiPropMapper.GetCount
GetCount method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetCount: Integer;


TDnXmlRttiPropMapper.GetIsAssignableObject
GetIsAssignableObject method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetIsAssignableObject(aIndex: Integer): Boolean;


TDnXmlRttiPropMapper.GetIsObject
GetIsObject method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetIsObject(aIndex: Integer): Boolean;


TDnXmlRttiPropMapper.GetIsRef
GetIsRef method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetIsRef(aIndex: Integer): Boolean;


TDnXmlRttiPropMapper.GetIsStored
GetIsStored method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetIsStored(aIndex: Integer): Boolean;


TDnXmlRttiPropMapper.GetObjectProp
GetObjectProp method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetObjectProp(aIndex: Integer): TObject;


TDnXmlRttiPropMapper.GetPropName
GetPropName method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetPropName(aIndex: Integer): string;


TDnXmlRttiPropMapper.GetValue
GetValue method

Applies to
TDnXmlRttiPropMapper

Declaration
function GetValue(aIndex: Integer): string;


TDnXmlRttiPropMapper.Props
Props method

Applies to
TDnXmlRttiPropMapper

Declaration
function Props(aIndex: Integer): PPropInfo;


TDnXmlRttiPropMapper.SetObjectProp
SetObjectProp method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure SetObjectProp(aIndex: Integer; const Value: TObject);


TDnXmlRttiPropMapper.SetPropKinds
SetPropKinds method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure SetPropKinds(const Value: TTypeKinds);


TDnXmlRttiPropMapper.SetValue
SetValue method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure SetValue(aIndex: Integer; const Value: string);


TDnXmlRttiPropMapper.UpdateProps
UpdateProps method

Applies to
TDnXmlRttiPropMapper

Declaration
procedure UpdateProps;


GetXmlPropMapper
GetXmlPropMapper function

Returns the property mapper associated with a certain class.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
function GetXmlPropMapper(aClass: TClass; aIndex: Integer): TDnXmlPropMapperClass;

Description
0 <= aIndex < GetXmlPropMapperCount().


GetXmlPropMapperCount
GetXmlPropMapperCount function

Returns the number of property mappers associated with a certain class.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
function GetXmlPropMapperCount(aClass: TClass): Integer;


RegisterPropMapper
RegisterPropMapper procedure

Registers (associates) a property mapper to a certain component class.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
procedure RegisterPropMapper(aClass: TComponentClass; aMapper: TDnXmlPropMapperClass);

Description
The class must be derived from TComponent.


UnregisterPropMapper
UnregisterPropMapper procedure

Unregisters the propmapper (registered using the RegisterPropMapper routine) for all classes it was associated with.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
procedure UnregisterPropMapper(aMapper: TDnXmlPropMapperClass);


UnregisterPropMapperForClass
UnregisterPropMapperForClass procedure

Unregisters the propmapper (registered using the RegisterPropMapper routine) for a specific class.

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
procedure UnregisterPropMapperForClass(aClass: TComponentClass; aMapper: TDnXmlPropMapperClass);


TDnXmlPropMapperClass
TDnXmlPropMapperClass type

Library
DnoteXmlComps

Unit
DnXmlPropMapper

Declaration
TDnXmlPropMapperClass = class of TDnXmlPropMapper;


Hierarchy

TObject
     |
TDnXmlPropMapper

Direct subclasses
TDnXmlRttiPropMapper


Hierarchy

TObject
     |
TDnXmlPropMapper
     |
TDnXmlRttiPropMapper

Subclasses
None


DnXmlRegister Unit Overview
DnXmlRegister Unit
Legend

Registers the components in the Delphi IDE component palette.

Library
DnoteXmlComps

Routines
Register


Register
Register procedure

Library
DnoteXmlComps

Unit
DnXmlRegister

Declaration
procedure Register;


DnXmlComponentChooserForm Unit Overview
DnXmlComponentChooserForm Unit
Legend

Library
DnoteXmlComps

Classes
TfmDnXmlComponentChooser

Other Types
IFormDesigner


TfmDnXmlComponentChooser
TfmDnXmlComponentChooser Object
Hierarchy   Properties   Methods

Library
DnoteXmlComps

Unit
DnXmlComponentChooserForm

Declaration
TfmDnXmlComponentChooser = class(TForm)


Properties for TfmDnXmlComponentChooser
TfmDnXmlComponentChooser Properties

Properties   Methods

 In TfmDnXmlComponentChooser
Designer
Selected


Methods for TfmDnXmlComponentChooser
TfmDnXmlComponentChooser Methods

Properties   Methods

 In TfmDnXmlComponentChooser
 FormKeyDown
 FormShow
 TreeView1DblClick
 UpdateContents


TfmDnXmlComponentChooser.Designer
Designer property

Applies to
TfmDnXmlComponentChooser

Declaration
property Designer: IFormDesigner read FDesigner write FDesigner;


TfmDnXmlComponentChooser.Selected
Selected property

Applies to
TfmDnXmlComponentChooser

Declaration
property Selected: TComponent read FSelected write FSelected;


TfmDnXmlComponentChooser.FormKeyDown
FormKeyDown method

Applies to
TfmDnXmlComponentChooser

Declaration
procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);


TfmDnXmlComponentChooser.FormShow
FormShow method

Applies to
TfmDnXmlComponentChooser

Declaration
procedure FormShow(Sender: TObject);


TfmDnXmlComponentChooser.GetStrProc
GetStrProc method

Applies to
TfmDnXmlComponentChooser

Declaration
procedure GetStrProc(const S: String);


TfmDnXmlComponentChooser.TreeView1DblClick
TreeView1DblClick method

Applies to
TfmDnXmlComponentChooser

Declaration
procedure TreeView1DblClick(Sender: TObject);


TfmDnXmlComponentChooser.UpdateContents
UpdateContents method

Applies to
TfmDnXmlComponentChooser

Declaration
procedure UpdateContents;


IFormDesigner
IFormDesigner type

Library
DnoteXmlComps

Unit
DnXmlComponentChooserForm

Declaration
IFormDesigner = IDesigner;


Hierarchy

TForm
     |
TfmDnXmlComponentChooser

Subclasses
None


DnXmlDictionaryEditorForm Unit Overview
DnXmlDictionaryEditorForm Unit
Legend

Library
DnoteXmlComps

Classes
TfmDnXmlDictionaryEditor


TfmDnXmlDictionaryEditor
TfmDnXmlDictionaryEditor Object
Hierarchy   Properties   Methods

Library
DnoteXmlComps

Unit
DnXmlDictionaryEditorForm

Declaration
TfmDnXmlDictionaryEditor = class(TForm)


Properties for TfmDnXmlDictionaryEditor
TfmDnXmlDictionaryEditor Properties

Properties   Methods

 In TfmDnXmlDictionaryEditor
Dictionary


Methods for TfmDnXmlDictionaryEditor
TfmDnXmlDictionaryEditor Methods

Properties   Methods

 In TfmDnXmlDictionaryEditor
 FormShow


TfmDnXmlDictionaryEditor.Dictionary
Dictionary property

Applies to
TfmDnXmlDictionaryEditor

Declaration
property Dictionary: TDnXmlDictionary read FDictionary write FDictionary;


TfmDnXmlDictionaryEditor.FormShow
FormShow method

Applies to
TfmDnXmlDictionaryEditor

Declaration
procedure FormShow(Sender: TObject);


Hierarchy

TForm
     |
TfmDnXmlDictionaryEditor

Subclasses
None


DnXmlEditors Unit Overview
DnXmlEditors Unit
Legend

Library
DnoteXmlComps

Classes
TDnXmlDictionaryEditor
TDnXmlReaderEditor
TDnXmlWriterEditor

Routines
Register


TDnXmlDictionaryEditor
TDnXmlDictionaryEditor Object
Hierarchy   Methods

Library
DnoteXmlComps

Unit
DnXmlEditors

Declaration
TDnXmlDictionaryEditor = class(TComponentEditor)


Methods for TDnXmlDictionaryEditor
TDnXmlDictionaryEditor Methods

Methods

 In TDnXmlDictionaryEditor
 ExecuteVerb
 GetVerb
 GetVerbCount


TDnXmlDictionaryEditor.ExecuteVerb
ExecuteVerb method

Applies to
TDnXmlDictionaryEditor

Declaration
procedure ExecuteVerb(aIndex: Integer);


TDnXmlDictionaryEditor.GetVerb
GetVerb method

Applies to
TDnXmlDictionaryEditor

Declaration
function GetVerb(aIndex: Integer): string;


TDnXmlDictionaryEditor.GetVerbCount
GetVerbCount method

Applies to
TDnXmlDictionaryEditor

Declaration
function GetVerbCount: Integer;


TDnXmlReaderEditor
TDnXmlReaderEditor Object
Hierarchy   Methods

Library
DnoteXmlComps

Unit
DnXmlEditors

Declaration
TDnXmlReaderEditor = class(TComponentEditor)


Methods for TDnXmlReaderEditor
TDnXmlReaderEditor Methods

Methods

 In TDnXmlReaderEditor
 ExecuteVerb
 GetVerb
 GetVerbCount


TDnXmlReaderEditor.ExecuteVerb
ExecuteVerb method

Applies to
TDnXmlReaderEditor

Declaration
procedure ExecuteVerb(aIndex: Integer);


TDnXmlReaderEditor.GetVerb
GetVerb method

Applies to
TDnXmlReaderEditor

Declaration
function GetVerb(aIndex: Integer): string;


TDnXmlReaderEditor.GetVerbCount
GetVerbCount method

Applies to
TDnXmlReaderEditor

Declaration
function GetVerbCount: Integer;


TDnXmlWriterEditor
TDnXmlWriterEditor Object
Hierarchy   Methods

Library
DnoteXmlComps

Unit
DnXmlEditors

Declaration
TDnXmlWriterEditor = class(TComponentEditor)


Methods for TDnXmlWriterEditor
TDnXmlWriterEditor Methods

Methods

 In TDnXmlWriterEditor
 ExecuteVerb
 GetVerb
 GetVerbCount


TDnXmlWriterEditor.ExecuteVerb
ExecuteVerb method

Applies to
TDnXmlWriterEditor

Declaration
procedure ExecuteVerb(aIndex: Integer);


TDnXmlWriterEditor.GetVerb
GetVerb method

Applies to
TDnXmlWriterEditor

Declaration
function GetVerb(aIndex: Integer): string;


TDnXmlWriterEditor.GetVerbCount
GetVerbCount method

Applies to
TDnXmlWriterEditor

Declaration
function GetVerbCount: Integer;


Register
Register procedure

Library
DnoteXmlComps

Unit
DnXmlEditors

Declaration
procedure Register;


Hierarchy

TComponentEditor
     |
TDnXmlDictionaryEditor

Subclasses
None


Hierarchy

TComponentEditor
     |
TDnXmlReaderEditor

Subclasses
None


Hierarchy

TComponentEditor
     |
TDnXmlWriterEditor

Subclasses
None


Welcome to Dnote Xml Comps

This helpfile descripts the Dnote Xml Components.

Dnote Xml Components enable the programmer to add support for importing Component trees to and from XML files and strings. This enables one to for example store object models in xml-files etc.

This software is Open Source and licensed under the GNU General Public License (GPL). You can find the project at SourceForge for the latest downloads and collaboration.

Goto Library help

Copyright 2002 Dnote Software